SolrQuery::setFacetLimit
SolrQuery::setFacetMinCount
SolrQuery
PHP Manual

# SolrQuery::setFacetMethod

Specifies the type of algorithm to use when faceting a field

### Description

public SolrQuery SolrQuery::setFacetMethod ( string `$method` [, string `$field_override` ] )

Specifies the type of algorithm to use when faceting a field. This method accepts optional field override.

### Parameters

`method`

  The method to use.

`field_override`

  The name of the field.

### Return Values

Returns the current SolrQuery object, if the return value is used.